#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.2
visibility:           public
id:                   clash-ghc-1.4.2-L7pN2pkIdCzLCNGZagpIiV
key:                  clash-ghc-1.4.2-L7pN2pkIdCzLCNGZagpIiV
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  86fbc62d2400f00ca2c516a1bbb64c6b
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-9.0.1/site-local/clash-ghc-1.4.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/clash-ghc-1.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/clash-ghc-1.4.2
hs-libraries:         HSclash-ghc-1.4.2-L7pN2pkIdCzLCNGZagpIiV
depends:
    Cabal-3.4.0.0 array-0.5.4.0 base-4.15.0.0
    bifunctors-5.5.11-1t9O7ND78yV48tz5Efp3H3 bytestring-0.10.12.1
    clash-lib-1.4.2-IzvV7sYWibh5eudgZpaOB7
    clash-prelude-1.4.2-38FkV2nsdA4APONYeuLyWD
    concurrent-supply-0.1.8-A277htemaZMCBqlGmqf3wN containers-0.6.4.1
    deepseq-1.4.5.0 directory-1.3.6.1 exceptions-0.10.4
    extra-1.7.9-IcqPRc3tlcv73Ao9edr4fI filepath-1.4.2.1 ghc-9.0.1
    ghc-bignum-1.0 ghc-boot-9.0.1 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.3-IozXgZCKjfbALmL9H6lmLh
    ghc-typelits-knownnat-0.7.6-Br4E9O9bmhhERFPCcLfjww
    ghc-typelits-natnormalise-0.7.6-FUbYF2QNdvA95YVBg80ZMd ghci-9.0.1
    hashable-1.3.2.0-GcuYQ7tqoHiC8dylGWZgv9 haskeline-0.8.1.0
    lens-5.0.1-8BjofPyhl39GhYn8lDfGmL mtl-2.2.2
    primitive-0.7.1.0-FzMFSpjFTSY7YtlPPz98XL process-1.6.11.0
    reflection-2.1.6-Ige4KhwuDfWLgTkRnD2mj1
    split-0.2.3.4-IuBvszwBo1y39CSfsuMIgU template-haskell-2.17.0.0
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-EOLezJbjv4q4J5wUsnIdDF unix-2.7.2.2
    unordered-containers-0.2.14.0-GZb439Gbt7L1ozynZzbOaU
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-F01VHQmqrpj3f3agvYLGVp

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

